Skip to main content
POST
Liquidation history

Authorizations

Authorization
string
header
required

Your Hypedexer API key, sent as Authorization: Bearer <key>. The X-API-Key: <key> header and the api_key query parameter are accepted as well.

Body

application/json
type
enum<string>
required
Available options:
liqHistory
coin
string

Coin filter

user
string

Liquidated user filter

startTime
integer

Epoch ms

endTime
integer

Epoch ms

amountDollars
number

Minimum notional (USD)

Required range: x >= 0
limit
integer
default:100
Required range: 1 <= x <= 5000
cursor
string

X-Next-Cursor of the previous page

order
enum<string>
default:DESC
Available options:
ASC,
DESC

Response

Liquidation events

time
string

ISO 8601, UTC

time_ms
integer
coin
string
hash
string
liquidated_user
string
size_total
number
notional_total
number
fill_px_vwap
number | null
mark_px
number
method
string

e.g. market

fee_total_liquidated
number
liquidators
string[]
liquidator_count
integer
liq_dir
string | null

Long or Short

tid
integer